# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.configure("2") do |config|
  config.vm.box = "bento/ubuntu-18.04"

  config.vm.provider "virtualbox" do |v|
    v.name = "so-vm-lite"
    v.memory = 1024
  end

  # this is needed for the stupid Windows + WSL unable to find path
  config.vm.synced_folder ".", "/vagrant", disabled: true

  # Ansible requires "python" already installed on the target
  config.vm.provision :shell, inline: "apt-get install -y python"

  # Do the rest of the provisioning using ansible
  config.vm.provision :ansible, playbook: "../playbooks-so/master-lite.yml"

  config.vm.provision :reload
end
